#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_StarLotteryEventCFGData
{
	//事件类型
	int mType;
	//每日增加
	int mDailyADD;
	//累计增加
	int mTotalADD;
};

class M_StarLotteryEventCFG
{
public:
private:
	static std::auto_ptr<M_StarLotteryEventCFG> msSingleton;
public:
	int GetCount();
	const M_StarLotteryEventCFGData* GetData(int Type);
	boost::unordered_map<int, M_StarLotteryEventCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_StarLotteryEventCFG* GetSingleton();
private:
	boost::unordered_map<int, M_StarLotteryEventCFGData> mMapData;
};
